### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface FileInterface

All Superinterfaces:
  com.sas.services.information.metadata.DeployedDataPackageInterface, `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface FileInterface extends DeployedDataPackageInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDirectory(DirectoryInterface directory)`
  Add a directory to this file's list of associated directories.
  `void`
  `addScriptedConnection(SASClientConnectionInterface connection)`
  Add a SASClientConnection to the list of connections that this script executes for.
  `List`
  `getDirectories()`
  Get the list of Directories associated with this File.
  `String`
  `getFileExtension()`
  Get the file extension.
  `String`
  `getFileName()`
  Get the file name string.
  `List`
  `getScriptedConnections()`
  If this is a connection script, get the list of connections it runs for.
  `String`
  `getTextRole()`
  Set the text role for the file.
  `String`
  `getTextType()`
  Get the file's text type.
  `boolean`
  `isARelativeName()`
  Get the boolean flag indicating if the file name is relative.
  `void`
  `removeDirectory(DirectoryInterface directory)`
  Remove this file from a Directory.
  `void`
  `removeScriptedConnection(SASClientConnectionInterface connection)`
  Remove a SASClientConnection from the list of connections that this script executes for.
  `void`
  `setDirectories(List directories)`
  Set the list of directories that this file is in.
  `void`
  `setFileExtension(String extension)`
  Set the file extension.
  `void`
  `setFileName(String name)`
  Set the file name string.
  `void`
  `setIsARelativeName(boolean isRelative)`
  Set the flag indicating the file name is relative to the directory path.
  `void`
  `setScriptedConnections(List connections)`
  Set the list of scripted connection this script executes for.
  `void`
  `setTextRole(String textRole)`
  Set the text role for the file.
  `void`
  `setTextType(String textType)`
  Set the file's text type.

  ### Methods inherited from interface com.sas.services.information.metadata.DeployedDataPackageInterface

  `addServer, addUsedByPackage, addUsingPackage, getAliasFor, getServers, getTableCollections, getUsedByPackages, getUsingPackages, removeServer, removeUsedByPackage, removeUsingPackage, setAliasFor`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### isARelativeName

    boolean isARelativeName() throws ServiceException, RemoteException
    Get the boolean flag indicating if the file name is relative.
    Returns:
      true if the file name is a relative path, false otherwise.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setIsARelativeName

    void setIsARelativeName(boolean isRelative) throws ServiceException, RemoteException
    Set the flag indicating the file name is relative to the directory path.
    Parameters:
      `isRelative` - true if the file name is relative, false otherwise.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getFileName

    String getFileName() throws ServiceException, RemoteException
    Get the file name string.
    Returns:
      The file name string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setFileName

    void setFileName(String name) throws ServiceException, RemoteException
    Set the file name string.
    Parameters:
      `name` - The new file name.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getFileExtension

    String getFileExtension() throws ServiceException, RemoteException
    Get the file extension.
    Returns:
      The file extension string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setFileExtension

    void setFileExtension(String extension) throws ServiceException, RemoteException
    Set the file extension.
    Parameters:
      `extension` - The new extension string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getTextRole

    String getTextRole() throws ServiceException, RemoteException
    Set the text role for the file.
    Returns:
      The String with the file's text role.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setTextRole

    void setTextRole(String textRole) throws ServiceException, RemoteException
    Set the text role for the file.
    Parameters:
      `textRole` - The text role string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getTextType

    String getTextType() throws ServiceException, RemoteException
    Get the file's text type.
    Returns:
      The file's text type string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setTextType

    void setTextType(String textType) throws ServiceException, RemoteException
    Set the file's text type.
    Parameters:
      `textType` - The file's text type string.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getDirectories

    List getDirectories() throws ServiceException, RemoteException
    Get the list of Directories associated with this File.
    Returns:
      A List of `DirectoryInterface` objects associated with this File.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addDirectory

    void addDirectory(DirectoryInterface directory) throws ServiceException, RemoteException
    Add a directory to this file's list of associated directories.
    Parameters:
      `directory` - A `DirectoryInterface` object this file is in.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeDirectory

    void removeDirectory(DirectoryInterface directory) throws ServiceException, RemoteException
    Remove this file from a Directory.
    Parameters:
      `directory` - A `DirectoryInterface` object that this File is being removed from.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setDirectories

    void setDirectories(List directories) throws ServiceException, RemoteException
    Set the list of directories that this file is in.
    Parameters:
      `directories` - A List of `DirectoryInterface` objects that this file is in.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getScriptedConnections

    List getScriptedConnections() throws ServiceException, RemoteException
    If this is a connection script, get the list of connections it runs for.
    Returns:
      A List of `SASClientConnectionInterface` objects that this script executes for.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addScriptedConnection

    void addScriptedConnection(SASClientConnectionInterface connection) throws ServiceException, RemoteException
    Add a SASClientConnection to the list of connections that this script executes for.
    Parameters:
      `connection` - A new connection to add to the scripted connections list.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeScriptedConnection

    void removeScriptedConnection(SASClientConnectionInterface connection) throws ServiceException, RemoteException
    Remove a SASClientConnection from the list of connections that this script executes for.
    Parameters:
      `connection` - The connection to remove from the scripted connections list.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setScriptedConnections

    void setScriptedConnections(List connections) throws ServiceException, RemoteException
    Set the list of scripted connection this script executes for.
    Parameters:
      `connections` - The list of `SASClientConnectionInterface` objects that this file acts as a script for.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.